#ifndef SpielStatistikDaten_H
#define SpielStatistikDaten_H

#include <Text.h>
#include <Bild.h>
#include <Array.h>

using namespace Framework;

struct SSDGesamtSpieler
{
	int spielerNummer;
	Text spielerName;
	Text teamName;
	int spielerFarbe;
	int teamFarbe;
	int gewonneneRunden;
	int punkte;
	int linienLnge;
	int zeitAmLeben;
	int zeitTod;
	int kills;
	int tode;
};

struct SSDGesamtTeam
{
	int teamNummer;
	Text teamName;
	int teamFarbe;
	int gewonneneRunden;
	int punkte;
	int linienLnge;
	int kills;
	int tode;
};

struct SSDRundeSpieler
{
	int spielerNummer;
	Text spielerName;
	Text teamName;
	int spielerFarbe;
	int teamFarbe;
	int linienLnge;
	int kills;
	int todesZeit;
};

struct SSDRundeTeam
{
	int teamNummer;
	Text teamName;
	int teamFarbe;
	char ergebnis;
	int linienLnge;
	int kills;
	int tode;
};

struct SSDRunde
{
	int rundenNummer;
	int rundenDauer;
	int rundenSieger;
	int spielfeldNutzung;
	Bild rundenBild;
	Array< SSDRundeSpieler* > spieler;
	Array< SSDRundeTeam* > teams;
};

#endif